This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 196261 - BUG: soft lockup detected on CPU#0!
BUG: soft lockup detected on CPU#0!
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 05:17 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 00:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-06-22 05:17:30 EDT
Description of problem:
I've got a bunch of BUGs in dmesg like that

Version-Release number of selected component (if applicable):
[root@trash ~]# uname -r
2.6.16-1.2289_FC6
[root@trash ~]# rpm -q kernel
kernel-2.6.16-1.2289_FC6

How reproducible:
install raw hide, wait

BUG: soft lockup detected on CPU#0!
 <c044a502> softlockup_tick+0xad/0xc4  <c042d384> update_process_times+0x39/0x5c
 <c04075d3> timer_interrupt+0x55/0x7e  <c044a59e> handle_IRQ_event+0x23/0x4c
 <c044a656> __do_IRQ+0x8f/0xe5  <c040649a> do_IRQ+0x67/0x84
 =======================
 <c040487e> common_interrupt+0x1a/0x20  <c045e0d4> anon_vma_unlink+0x5b/0x10f
 <c045983f> free_pgtables+0x53/0xa0  <c045a720> exit_mmap+0x99/0xf6
 <c0422a54> mmput+0x27/0xd0  <c042647f> exit_mm+0x13b/0x14b
 <c0427a03> do_exit+0x1ef/0x7bd  <c0406e86> do_syscall_trace+0x126/0x16d
 <c042803e> sys_exit_group+0x0/0xd  <c0403e3f> syscall_call+0x7/0xb


BUG: soft lockup detected on CPU#0!
 <c044a502> softlockup_tick+0xad/0xc4  <c042d384> update_process_times+0x39/0x5c
 <c04075d3> timer_interrupt+0x55/0x7e  <c044a59e> handle_IRQ_event+0x23/0x4c
 <c044a656> __do_IRQ+0x8f/0xe5  <c040649a> do_IRQ+0x67/0x84
 =======================
 <c040487e> common_interrupt+0x1a/0x20  <c045e0d4> anon_vma_unlink+0x5b/0x10f
 <c045983f> free_pgtables+0x53/0xa0  <c045a720> exit_mmap+0x99/0xf6
 <c0422a54> mmput+0x27/0xd0  <c042647f> exit_mm+0x13b/0x14b
 <c0427a03> do_exit+0x1ef/0x7bd  <c042de6f> __dequeue_signal+0x14a/0x155
 <c042803e> sys_exit_group+0x0/0xd  <c042f787> get_signal_to_deliver+0x3a9/0x3d1
 <c0403564> do_notify_resume+0x75/0x5fa  <c060e860> _spin_unlock_irq+0x5/0x7
 <c060c69c> schedule+0xb00/0xb69  <c04496cc> audit_syscall_exit+0x3f/0x2ee
 <c0406dbb> do_syscall_trace+0x5b/0x16d  <c0403ece> work_notifysig+0x13/0x19
Comment 1 David Nielsen 2006-06-25 11:42:01 EDT
I'm seeing the following a lot using 2.6.17-1.2307_FC6 on an AMD64 X2 system:

BUG: soft lockup detected on CPU#1!

Call Trace: <IRQ> <ffffffff802b40b5>{softlockup_tick+219}
       <ffffffff802961fb>{update_process_times+66}
<ffffffff8027916a>{smp_local_timer_interrupt+35}
       <ffffffff80279812>{smp_apic_timer_interrupt+65}
<ffffffff8026284b>{apic_timer_interrupt+135}
       <ffffffff802078ba>{ide_outb+0} <ffffffff80338406>{__next_cpu+25}
       <ffffffff803b60ae>{ide_inb+4} <ffffffff802283f7>{ide_wait_stat+189}
       <ffffffff8020f009>{ide_do_request+1104}
<ffffffff80268f46>{_spin_lock_irqsave+9}
       <ffffffff8027a21b>{unmask_IO_APIC_irq+33}
<ffffffff803b6090>{ide_timer_expiry+729}
       <ffffffff803b5db7>{ide_timer_expiry+0}
<ffffffff80295bf3>{run_timer_softirq+342}
       <ffffffff80211f71>{__do_softirq+85} <ffffffff80262eee>{call_softirq+30}
       <ffffffff802702b1>{do_softirq+44} <ffffffff8026ef9b>{default_idle+0}
       <ffffffff8026284b>{apic_timer_interrupt+135} <EOI>
<ffffffff8026ef9b>{default_idle+0}
       <ffffffff802668f6>{thread_return+0} <ffffffff8026efc6>{default_idle+43}
       <ffffffff8024d3ac>{cpu_idle+151} <ffffffff80278f88>{start_secondary+1131}

I don't know if it's related
Comment 2 Dave Jones 2006-07-12 00:05:39 EDT
should be fixed in tomorrows rawhide push (kernel-2.6.17-1.2375.fc6 or higher).

Note You need to log in before you can comment on or make changes to this bug.